Bug 10444 - Virtual console switching not possible while running X
Summary: Virtual console switching not possible while running X
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kdebase   
(Show other bugs)
Version: 6.2
Hardware: sparc
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Miller
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-03-30 15:56 UTC by Thomas Moschny
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-04 09:27:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Thomas Moschny 2000-03-30 15:56:02 UTC
Ultra 1, RH6.1 with updates, CG6:
if X is running, I am not able to switch virtual consoles, i.e. I press
ctrl-alt-f1 and the mouse-pointer disappears but nothing else happens; the
X screen is still visible and the input from the keyboard goes to the
active X window. When the mouse is moved, the mouse-pointer becomes visible
again. Effectively virtual consoles are unusable (while X is up).

On sparc-list@redhat.com the same problem was reported for SS2 with CG3 and
for Ultra 1 with Creator 3D.

There is probably a bug in the framebuffer code in the kernel.

Comment 1 Thomas Moschny 2000-03-30 19:20:59 UTC
Problem remains with kernel-2.2.14-5.0.

Comment 2 Doug Ledford 2000-04-22 07:26:59 UTC
Assigning to Dave Miller, sparc guru.

Comment 3 Thomas Moschny 2000-05-04 09:27:59 UTC
Problem disappears if contents of '/etc/sysconfi/desktop' is changed from 'KDE'
to 'GNOME' which means use gdm for graphical login instead of kdm. So maybe
there's a problem with kdm and not with the kernel or X.

Packages used:
kdebase-1.1.2-33
kernel-2.2.14-12
XFree86-Sun-3.3.6-20


Note You need to log in before you can comment on or make changes to this bug.